blas_sparse::uscr_insert_entry Interface Reference

A Sparse BLAS interface for RSB. More...

## Public Member Functions

subroutine | suscr_insert_entry (a, val, i, j, istat)
| Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.
subroutine | duscr_insert_entry (a, val, i, j, istat)
| Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.
subroutine | cuscr_insert_entry (a, val, i, j, istat)
| Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.
subroutine | zuscr_insert_entry (a, val, i, j, istat)
| Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

## Detailed Description

A Sparse BLAS interface for RSB.

inserts a single entry

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## Member Function/Subroutine Documentation

## cuscr_insert_entry()

subroutine blas_sparse::uscr_insert_entry::cuscr_insert_entry | ( | integer | a,
|  | complex(kind(1.e0)) | val,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  val | Array of values.
  i,j | Row and column indices.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## duscr_insert_entry()

subroutine blas_sparse::uscr_insert_entry::duscr_insert_entry | ( | integer | a,
|  | real(kind(1.d0)) | val,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  val | Array of values.
  i,j | Row and column indices.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## suscr_insert_entry()

subroutine blas_sparse::uscr_insert_entry::suscr_insert_entry | ( | integer | a,
|  | real(kind(1.e0)) | val,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  val | Array of values.
  i,j | Row and column indices.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

## zuscr_insert_entry()

subroutine blas_sparse::uscr_insert_entry::zuscr_insert_entry | ( | integer | a,
|  | complex(kind(1.d0)) | val,
|  | integer(kind=rsb_blas_idx_kind) | i,
|  | integer(kind=rsb_blas_idx_kind) | j,
|  | integer(kind=rsb_blas_ist_kind), intent(out) | istat )

Inserts an entry in a matrix, assuming it is in build state. By default, duplicate entries will be summed together.

Parameters

  A | A valid matrix handle.
  val | Array of values.
  val | Array of values.
  i,j | Row and column indices.

Returns
  On success, 0 is returned; on error, -1.

Parameters

  istat | The return code will be written to `istat` (this is a Fortran routine): either 0 (success) or -1 (failure).

The documentation for this interface was generated from the following file:

- rsb_blas_sparse.F90